Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Modify Preset Plan Order (SIGNED)

Applicable for modifying contract preset plan orders

Request URL

POST https://cloud-api.wooxpro.com/contract/private/modify-preset-plan-order

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "symbol":"ETHUSDT",
  "order_id":"220609666322019",
  "preset_take_profit_price":"2000",
  "preset_stop_loss_price":"1900",
  "preset_take_profit_price_type":1,
  "preset_stop_loss_price_type":1
}'
https://cloud-api.wooxpro.com/contract/private/modify-preset-plan-order
FieldTypeRequired?Description
order_idStringYesOrder ID
symbolStringYesSymbol of the contract(like BTCUSDT)
preset_take_profit_price_typeIntNoPre-set TP price type
-1=last_price(default)
-2=fair_price
preset_stop_loss_price_typeIntNoPre-set SL price type
-1=last_price(default)
-2=fair_price
preset_take_profit_priceStringNoPre-set TP price
preset_stop_loss_priceStringNoPre-set SL price

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": {
    "order_id": "220609666322019"
  },
  "trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
FieldTypeDescription
order_idStringOrder ID